diff src/include/port/linux.h
index bcaa42d..f4bf277
*** a/src/include/port/linux.h
--- b/src/include/port/linux.h
***************
*** 20,22 ****
--- 20,30 ----
   * filesystems, because those don't support O_DIRECT.
   */
  #define PLATFORM_DEFAULT_SYNC_METHOD	SYNC_METHOD_FDATASYNC
+ 
+ /*
+  * Many distributors use this, so we might as well see the warnings as
+  * well.  ICC doesn't work when this is enabled.
+  */
+ #if !defined(__ICC) && __OPTIMIZE__
+ #define _FORTIFY_SOURCE 2
+ #endif
diff src/template/linux
index fd509d9..3eb5ad2
*** a/src/template/linux
--- b/src/template/linux
***************
*** 3,14 ****
  # Force _GNU_SOURCE on; plperl is broken with Perl 5.8.0 otherwise
  CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
  
- # Many distributors use this, so we might as well see the warnings as
- # well.  ICC doesn't work when this is enabled.
- if test "$ICC" != "yes"; then
-   CPPFLAGS="$CPPFLAGS -D_FORTIFY_SOURCE=2"
- fi
- 
  # If --enable-profiling is specified, we need -DLINUX_PROFILE
  PLATFORM_PROFILE_FLAGS="-DLINUX_PROFILE"
  
--- 3,8 ----
